html{
    scroll-behavior: smooth;
}
#pageName{
    font-size: 2.8vw;
    padding:0;
    color:#fff;
    text-align: center;
    font-weight: bold;
}
#impressum{
    color:#fff;
}
footer{
    background-color:#000;
    padding: 15px;
    bottom:0px;
    left: 0;
    width: 100%;
    font-size: 20px;
    min-width: 140px;
    color:#fff;
}
a{
    text-decoration: none;
}
a:link{
    color:#000
}
a:visited{
    color:#000;
}
/*
.background{
    background-color: rgba(225, 173, 1,1);
    border-radius: 25px;
    margin:10px 10px;
    margin-bottom:1%;
    min-width: 300px;
    
}
*/
body{
    background-color: rgba(225, 173, 1,1);
    color:#000;
    padding:0;
    margin:0;
    font-size: 20px;
    max-width: 100%;
    overflow-x: hidden;
}
.logo{
    align-items: left;
}

/*mobil hamburmenu layout cuccok*/
.overlay a {
    padding: 10px;
    text-decoration: none;
    font-size: 36px;
    color:rgb(255,255,255);
    display: block;
    transition: 0.3s;
  }
  .overlay-content {
    position: relative;
    top: 25%;
    width: 100%;
    text-align: center;
    margin-top: 30px;
  }
.overlay .closebtn {
    position: absolute;
    top: 20px;
    right: 45px;
    font-size: 60px;
    font-weight:bold;   

    
  }
  .overlay {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 3;
    top: 0;
    right: 0;
    background-color: rgb(0,0,0);
    
    overflow-x: hidden;
    transition: 0.5s;
  }
  /*mobil hambur menu layout cuccok*/

.desktopMenu{
    position: fixed;
    top: 0;
    padding:1% 0 0% 1%;
    background-color:#000;
    font-size: 20px;
    z-index:3;
    width: 100%;
}
.deskMenuList{
    display:grid;
    grid-template-columns: 33% 33% 16% 16%;
}
.mobilMenu{
    position: fixed;
    background-color:#000;
    padding: 1px;
    font-size: 20px;
    bottom:0;
    float:left;
    width:100%;
}

ul{
    list-style-type: none;
    margin: 0;
    padding: 0;
}
li{
    display:inline;
}
.tooltip .tooltiptext {
    visibility: hidden;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 8px;
    padding: 5px 0;
    z-index: 1;
    text-align: justify;
    
}

/*typing animáció*/ 
.typewriter{
    margin: auto;
    font-weight: bold;
}

.tp1{
    padding-top:10%;
}


    
.tp1::after{
    margin: 10px 10px 10px 10px;
    padding-top:1px;
    content: "";
    left:120px; /* gépelés kezdeti helye*/
    position:absolute;
    height: 55px;
    width: 50%;
    border-left: 6px solid #000;
    animation: typing 8.5s steps(33) infinite;
    background-color: rgba(225, 173, 1, 1);

}

@keyframes typing{
    100%{
        left: 46%;
        margin: 0 -35px 0 35px;
       /* background-color: rgba(225, 173, 1, 0);*/
    }
    
}
.tooltip:hover .tooltiptext {
    visibility: visible; 
    display:block;
    text-align: center;
  }



.pluss_button a {
    color:#fff;
}
.pluss_button p{
    text-align: center;
    font-size: 9vw;
    color:#ffff;
    margin:auto;
}
.pluss_button{
    border-radius: 50%;
    height: 10vw;
    width:  10vw;
    background-color:#000;
    margin:auto;  
    margin-top:-10%;
    margin-top:80%;
    
}
.menu{
    float: right;
    background-color:rgba(225, 173, 1, 1);
    color:#000;
    border-radius: 8px;
    text-decoration: none;
    cursor: pointer;
    border-style: solid;
    border-color: rgba(225, 173, 1, 1);
    padding:20px;
    margin:5px;
    font-size: 20px;
}

.menu:hover{
    color:#ffff;
    background-color: #000;
    color:rgba(225, 173, 1, 1);

}
#regText{
    margin:5% 30% 1% 30%;
    padding-bottom:0;
}
.reg_main{
    border-color: #000;
    border-radius: 8px;
    border-style: solid;
    display: grid;
    min-width: 200px;
    text-align: center;
    grid-template-columns: 110%;
    justify-content: space-evenly;
    justify-items: start;
    font-size: 40px;
    background-color: rgb(223, 223, 223);
    margin:0 30% -40% 30%;
    padding:5% 10% 5% 10%;
}


.text{
    text-align: left;
    padding-bottom:0;
    padding-top:10px;
    margin:auto;
    margin-right: 0;
}

input:focus {  /*javÍtani kell még*/
    border:none;
}

.reginput{
    border-width: 0 0 2px;
    border-color:black;
    background-color: rgba(225, 173, 1, 0);
    width: 100%;
    font-size: 1.3vw;
    margin-bottom:7.5%;
}
::placeholder {
    color: #000;
    opacity: 1; /* Firefox */
  }
  
  :-ms-input-placeholder { /* Internet Explorer 10-11 */
   color:#000;
  }
  
  ::-ms-input-placeholder { /* Microsoft Edge */
   color: #000;
  }
main{
    padding:10%;
    padding-bottom:40%;
    min-width: 300px;
}

  .indexMain{
    background-image: url("src/indexpic.svg");
    background-repeat:no-repeat;
	background-size:cover;
	background-position:center center;
    min-width: 300px;
  }
  p{
      font-size: 50px;
  }
  #submit{
    background-color:#000;
    color:#ffff;
    border-radius: 8px;
    text-decoration: none;
    cursor: pointer;
    border-style: solid;
    border-color: #000;
    padding:15px;
    width: 75px;;
    margin:20px;

  }
  #submit_login{
    background-color:#000;
    color:#ffff;
    border-radius: 8px;
    text-decoration: none;
    cursor: pointer;
    border-style: solid;
    border-color: #000;
    padding:15px;
    width: 75px;;
    margin:10% 0 0 35%;
  }
  #submit_ready{
    background-color:#000;
    color:#ffff;
    border-radius: 8px;
    text-decoration: none;
    cursor: pointer;
    border-style: solid;
    border-color: #000;
    padding:15px;
    width:110px;;
    margin:20px;
    margin:10% 0 0 35%;
}

  #submit:hover{
    background-color: rgba(225, 173, 1, 1);;
    border-color: #000;
    border-style: solid;
    color:#000;
    transition: 0.3;
  }
  
  .gamepic{
    left:0;
    margin-left:0;
  }

  .container{
    box-sizing: border-box;
  }
  
  .column-left{
        float: left;
        width: 80%;
        padding: 10px;
        height: 300px; 
        margin:0;
  }
  .column{
    width: 30%;
    float: right;
    display: table;
    background-color: rgb(225, 109, 1);
    padding:15px;
    margin:10px;
    border-radius: 8px;
    width: 30px;
  }
  .bejelentkezettMain{
      margin-bottom:40%;
  }

  
.sex{
    font-size:20px;
    padding-top:5%;
}
#sex2{
    padding-bottom:10%;
}

#empty, #notMatchPassw{
    color:#ff0000;
    font-size:30px;
    padding-bottom:10px;
    margin:auto;
}
.login_main{
    border-color: #000;
    border-radius: 8px;
    border-style: solid;
    display: grid;
    min-width: 200px;
    text-align: center;
    grid-template-columns: 80%;
    justify-content: space-evenly;
    justify-items: start;
    font-size: 40px;
    background-color: rgb(223, 223, 223);
    margin:0 0% -40% 60%;
    padding:4% 0% 4% 0%;
  
}
#loginText{
    margin:5% 0% 1% 60%;
    padding-bottom:0;
}
#emptyUname, #emptyPass{
    color:#ff0000;
    font-size:1.2vw;
    padding-bottom:10px;
    margin:auto;
}
.forgottenPass{
    font-size:1.3vw;
    text-decoration: underline;
    margin-top:-20px;
}
.input_error{

    border-width: 0 0 2px;
    border-color: #ff0000;
    background-color: rgba(225, 173, 1, 0);
    width: 100%;
    font-size: 1.2vw;
}
.input_error_sex{
    border-width: 0 0 2px;
    border-color: #ff0000;
    background-color: rgba(225, 173, 1, 0); 
    border-bottom-style: solid;   
}

.card{
    border-radius:8px;
    background-color:rgb(253, 253, 253);
    width: 200px;
    height: 300px;
    padding-top:50px;
    padding-bottom:0;
    text-align:center;
    box-shadow: 10px 4px 0 0 rgba(0,0,0,0.2);
    margin-bottom:20%;
    cursor: pointer;

}
.card .close_zoom_button{
    visibility: hidden;

}
.close_zoom_button{
    position: absolute;
    top: 1px;
    right: 15px;
    font-size: 60px;
    font-weight:bold;   

}
.skin_img{
    display:block; 
    width:100%;
    margin:-50.875% 0;

}
.shop_container{
    margin-top:-50px;
    display: grid;
    grid-template-columns: auto;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));

}
#price{
    padding-bottom:10px;
}
.shop_h1{
    font-size: 8vw;
    margin-top:20%;
    margin-bottom:-90px;
    text-align: center;
}

.card:hover .shop_buy {
    background-color: rgba(0, 0, 0,0.5);
    z-index: 2;
    visibility: visible;
  }
  .card:hover .shop_buy {
    background-color: rgba(201, 1, 1, 1);
    z-index: 2;
    visibility: visible;
  }
.shop_buy{
    visibility: hidden;
    border:none;
    padding:10px 20px 10px 20px;
    border-radius: 8px;
}
.balance{
    text-align: right;
    padding:10% 2% 0 0;

}
.zoom_in {
    -ms-transform: scale(2); /* IE 9 */
    -webkit-transform: scale(2); /* Safari 3-8 */
    transform: scale(2); 

    border-radius:8px;
    background-color:rgb(253, 253, 253);
    width: 200px;
    height: 300px;
    padding-top:50px;
    padding-bottom:0;
    text-align:center;
    box-shadow: 10px 4px 0 0 rgba(0,0,0,0.2);
    margin-bottom:20%;
    margin: auto;

}
.zoom_in .shop_buy{
    visibility: visible;
    background-color: rgba(201, 1, 1, 1);
    z-index: 2;
}